kopano-backup Error



  • Hello,

    on executing

    /usr/sbin/kopano-backup --skip-junk --skip-deleted -u user -O /data/kopano/userbkp

    I get the error message:

    Unable to load libkccontacts.so: /usr/lib/kopano/libkccontacts.so: undefined symbol: _ZN6icu_556LocaleD1Ev

    The system is Ubuntu 18.04 LTS and this happend after a release upgrade from 16.04 LTS. Does anybody have an idea how to solve this?

    Thanks, Chris



  • Forgot to mention, this is the content of /usr/lib/kopano/

    sudo ls /usr/lib/kopano/ -al
    total 1928
    drwxr-xr-x 2 root root 4096 Jan 13 15:57 .
    drwxr-xr-x 149 root root 12288 Jan 13 16:00 …
    -rw-r–r-- 1 root root 1327664 Nov 28 13:06 libkcclient.so
    -rw-r–r-- 1 root root 92928 Nov 28 13:09 libkccontacts.so
    -rw-r–r-- 1 root root 146256 Nov 28 13:06 libkcserver-db.so
    -rw-r–r-- 1 root root 191624 Nov 28 13:06 libkcserver-ldap.so
    -rw-r–r-- 1 root root 191616 Nov 28 13:06 libkcserver-unix.so


  • Kopano

    Did you also update your packages when doing the dist upgrade?



  • hi,

    i changed to the repository for 18.04 LTS in /etc/apt/sources.list.d/kopano.list
    added credentials to /etc/apt/auth.conf

    and ran

    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get dist-upgrade
    sudo apt-get autoremove

    so I beleive that should have done it.



  • also, the backup seems to run, although it gives this error message. I just don’t know if it would be consistent.


  • Kopano

    So we are talking about 8.6.9? And did it really also update packages?

    In case we are talking about 8.6.9 and you have a subscription, I’d recommend to get in contact with our support instead.



  • this is installed:

    kopano-backup/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-client/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-common/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-contacts/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-dagent/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-gateway/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-ical/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-lang/stable,now 8.6.9.0-0+24.1 all [Installiert,automatisch]
    kopano-monitor/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-search/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-server/stable,now 8.6.9.0-0+24.1 amd64 [installiert]
    kopano-server-packages/stable,now 8.6.9.0-0+24.1 all [installiert]
    kopano-spooler/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-utils/stable,now 8.6.9.0-0+24.1 amd64 [Installiert,automatisch]
    kopano-webapp/stable,now 3.5.0.2047+85.1 all [installiert]
    libgsoap-kopano-2.8.71/stable,now 2.8.71-0+1.1 amd64 [Installiert,automatisch]
    libvmime-kopano1/stable,now 0.9.2.50+12.1 amd64 [Installiert,automatisch]
    python-kopano/stable,now 8.6.9.0-0+24.1 all [Installiert,automatisch]
    z-push-backend-kopano/now 2.4.5+0-0 all [Installiert,lokal]
    z-push-kopano/now 2.4.5+0-0 all [Installiert,lokal]


  • Kopano

    the packages between 18.04 and 16.04 have the exact same version string. You probably need to call apt with the --reinstall parameter.



  • That worked! Danke


Log in to reply